CuRandError: ('CURAND_STATUS_INITIALIZATION_FAILED', 'Initialization of CUDA failed')

Hi:
I am new to CUDA, so I install CUDA6.5, my OS is ubuntu12.04, and I followed the tutorial of cuda/python
https://docs.continuum.io/numbapro/cudalib
and I got the errors:
CuRandError Traceback (most recent call last)
in ()
----> 1 prng = rand.PRNG(rndtype=rand.PRNG.XORWOW)

/aramis/dataARAMIS/users/junhao.wen/Softwares/Anaconda2/lib/python2.7/site-packages/numba/cuda/cudadrv/devices.pyc in _require_cuda_context(*args, **kws)
256 def _require_cuda_context(*args, **kws):
257 get_context()
–> 258 return fn(*args, **kws)
259
260 return _require_cuda_context

/aramis/dataARAMIS/users/junhao.wen/Softwares/Anaconda2/lib/python2.7/site-packages/accelerate/cuda/rand/api.pyc in init(self, rndtype, seed, offset, stream)

/aramis/dataARAMIS/users/junhao.wen/Softwares/Anaconda2/lib/python2.7/site-packages/accelerate/cuda/rand/binding.pyc in init(self, rng_type)

/aramis/dataARAMIS/users/junhao.wen/Softwares/Anaconda2/lib/python2.7/site-packages/accelerate/cuda/utils/libutils.pyc in wrapped(*args, **kws)

/aramis/dataARAMIS/users/junhao.wen/Softwares/Anaconda2/lib/python2.7/site-packages/accelerate/cuda/utils/libutils.pyc in check_error(self, status)

CuRandError: (‘CURAND_STATUS_INITIALIZATION_FAILED’, ‘Initialization of CUDA failed’)

I dont know why, maybe it is because of my CUDA version, cuz the package accelerate has some pre-requirements, as shown below:

My cuda info:
±-----------------------------------------------------+
| NVIDIA-SMI 340.29 Driver Version: 340.29 |
|-------------------------------±---------------------±---------------------+
| GPU Name Persistence-M| Bus-Id Disp.A | Volatile Uncorr. ECC |
| Fan Temp Perf Pwr:Usage/Cap| Memory-Usage | GPU-Util Compute M. |
|===============================+======================+======================|
| 0 Quadro K4000 Off | 0000:03:00.0 On | N/A |
| 30% 38C P8 12W / 87W | 273MiB / 3071MiB | 0% Default |
±------------------------------±---------------------±---------------------+

±----------------------------------------------------------------------------+
| Compute processes: GPU Memory |
| GPU PID Process name Usage |
|=============================================================================|
| No running compute processes found

the accelerate requirement:
Requirements

64-bit operating system: Linux, OS X or Windows

Supported Python and Numpy combinations:
Python 2.7 with Numpy 1.9, 1.10 or 1.11
Python 3.4 with Numpy 1.9, 1.10 or 1.11
Python 3.5 with Numpy 1.9, 1.10 or 1.11
Numba 0.26

For the CUDA features:

NVidia driver version 349.00 or later
CUDA toolkit 7.0
At least one CUDA GPU with compute capability 2.0 or above

So what should I do? I dont want to update my cuda, cuz I have to update my ubuntu to 14.04 to intall the cuda7.0

Any advice would be appreciated:)
Merci